# 百家云实时消息通信 SDK（BRTM SDK）

一个互动 Web 实时消息通信解决方案。

## Documentation

### Modules
- [BRTM](./docs/modules/_src_index_.md)

### Classes
- [Client](./docs/classes/_src_client_client_.client.md)
- [DocumentPlayer](./docs/classes/_src_whitebroad_documentplayer_.documentplayer.md)
- [PainterConfig](./docs/classes/_src_whitebroad_util_painterconfig_.painterconfig.md)
- [DocUploader](./docs/classes/_src_docuploader_docuploader_.docuploader.md)
- [BRTMError](./docs/classes/_src_error_rtmerror_.rtmerror.md)

### Events
- [Client Events](./docs/modules/_src_client_eventsmap_.md)
- [DocumentPlayer Events](./docs/modules/_src_whitebroad_eventtype_.md)

### Error

- [Error Code](./docs/modules/_src_error_errortype_.md)

## Installation

```shell
ohpm install @baijiayun/brtm
```

```javascript
import * as BRTM from '@ohos/brtm/Index'
```

## Usage
```javascript

const client = BRTM.createClient({
  appId: ''
});

client
  .on('user-in', (data) => {
    
  })
  .on('user-out', (data) => {
    
  })
  .on('message-receive', (data) => {
    
  })
  .on('broadcast-receive',(data) => {
    
  })
  .on('command-receive', (data) => {
    
  });

client.join('roomId', 123, 'sig').then(() => {
    
});
```
## Tutotials
- <a href="https://brtc.baijiayun.com/demo" target="_blank" >在线 Demo</a> 