import Room from "../k/t"; import * as Events from "./u"; import { Role2Type } from "../a"; import { SECOND } from "../k/a"; import RTMError from "../v/w"; import * as logger from "../d/e"; import Ability from "../k/x/y"; import * as constant from "../d/f"; import * as errorType from "../v/z"; import { checkSign, env } from "../d/q"; import formatUserId from "../a1/b1"; import UserModel from "../k/l/n/c1"; import ChatModel from "../k/l/m/d1"; import DocUploader from "../e1/f1"; import { frequency, frequency60 } from "../g1"; import combineServer from "../a1/h1"; import * as number2Base64 from "../d/i1"; import * as is from '@ohos/common/src/main/ets/util/is'; import ClassModel from "../k/l/j1/k1"; import MapNS from '@ohos/common/src/main/ets/util/MapNS'; import * as ClassEvents from "../k/l/j1/i"; import Emitter from '@ohos/common/src/main/ets/event/Emitter'; import isDef from '@ohos/common/src/main/ets/function/isDef'; import * as array from '@ohos/common/src/main/ets/util/array'; import * as object from '@ohos/common/src/main/ets/util/object'; import execute from '@ohos/common/src/main/ets/function/execute'; import DocumentModel from "../k/l/p/l1"; import toString from '@ohos/common/src/main/ets/function/toString'; export default class Client { constructor(options) { this.roomId = ''; this.userSig = ''; this.userId = ''; this.userInfo = {}; this.room = null; this.joinConfig = null; if (!options || !is.string(options.appId)) { throw new RTMError(errorType.INVALID_PARAMETER, 'appId 类型错误，请检查'); } this.appId = options.appId; this.useStringUserId = !!options.useStringUserId; this.commandMap = new MapNS(true); this.emitter = new Emitter(true, true); this.class = new ClassModel(this.emitter); this.document = new DocumentModel(); this.user = new UserModel(); this.chat = new ChatModel(); this.role = 'user'; this.isJoining = false; this.isJoined = false; this.class.addCommandMessageType(constant.BRTM_COMMAND_TYPE, (command, p1) => { this.commandMap.execute(command.rtm_custom_key, [command.rtm_custom_value, p1]); }); } async join(h1, userId, i1, j1 = {}) { frequency('client.join', (now, l1) => { const m1 = l1.length; const n1 = l1[m1 - 2] ?? -1; return now - n1 < SECOND; }, 2, 'join 调用超出频率限制，一秒钟不能超过 2 次')(); if (this.isJoining) { throw new RTMError(errorType.INVALID_OPERATION, '正在 join，请勿重复调用'); } if (this.isJoined) { throw new RTMError(errorType.INVALID_OPERATION, '重复 join，请先调用 leave'); } if (!is.string(h1)) { throw new RTMError(errorType.INVALID_PARAMETER, 'roomId 类型错误，请检查'); } if (this.useStringUserId) { if (!is.string(userId)) { throw new RTMError(errorType.INVALID_PARAMETER, 'userId 类型错误，请检查，应为 string 类型'); } if (!/^[0-9a-zA-Z-_]{1,64}$/.test(userId)) { throw new RTMError(errorType.INVALID_PARAMETER, 'userId 只能为以下字符：0-9、a-z、A-Z、-、_，且不能超过 64 个字符'); } } else { if (!is.number(userId)) { throw new RTMError(errorType.INVALID_PARAMETER, 'userId 类型错误，请检查，应为 int32 类型'); } if (userId > Math.pow(2, 31) - 1 || userId < -Math.pow(2, 31) || Math.floor(userId) !== userId) { throw new RTMError(errorType.INVALID_PARAMETER, 'userId 为 int32 整型'); } } if (!is.string(i1)) { throw new RTMError(errorType.INVALID_PARAMETER, 'sign 类型错误，请检查'); } this.roomId = h1; this.userId = userId; this.userSig = i1; this.joinConfig = j1; if (this.joinConfig.role) { this.role = j1.role; } this.userInfo = this.joinConfig.userInfo ?? {}; this.isJoining = true; try { let result = await checkSign(this.appId, this.roomId, this.userSig, toString(this.userId), Role2Type[this.role] ?? 0, this.userInfo.name ?? '', this.userInfo.avatar ?? ''); if (result.code === 200 && result.data) { if (this.roomId !== result.data.room_no) { throw new RTMError(errorType.INVALID_PARAMETER, 'sig 中的 roomId 与传入的 roomId 不匹配'); } if (this.userId !== formatUserId(result.data.user_no, this.useStringUserId)) { throw new RTMError(errorType.USER_SIG_ERROR, 'sig 中的 userId 与传入的 userId 不匹配'); } this.roomData = result.data; this.room = new Room({ env: env, token: result.data.token, class: { id: result.data.room_id }, ms: { ip: result.data.partner_config.ms.ip, port: result.data.partner_config.ms.port, wssIp: result.data.partner_config.ms.wss_ip, wssPort: result.data.partner_config.ms.wss_port }, msProxies: combineServer(result.data.partner_config.ms.proxy ?? [], result.data.partner_config.ms.wss_proxy ?? []), user: { number: toString(this.userId), type: Role2Type[this.role] ?? 0, name: this.userInfo.name ?? '', avatar: this.userInfo.avatar ?? '', endType: this.userInfo.endType ?? 0, group: this.userInfo.group ?? 0, auth: number2Base64.encode(this.userInfo.auth ?? []) }, privateDomain: result.data.partner_config.private_domain ?? '', apiDomain: result.data.partner_config.api_domain ?? '', jwtToken: result.data.ut, useStringUserId: this.useStringUserId }); this.handleEvent(); await this.room.join(); this.class.run(this.room); this.user.run(this.room); this.chat.run(this.room); this.document.run(this.room); await Promise.all([ this.user.requestActive(), this.user.requestState(this.room.store.get('user.number')) ]); this.user.requestMore(); this.isJoining = false; this.isJoined = true; } else { throw new RTMError(errorType.FETCH_ERROR, result.msg); } } catch (error) { this.isJoining = false; this.isJoined = false; if (RTMError.instanceOf(error)) { throw new RTMError(error.code, error.message); } throw new RTMError(errorType.JOIN_ROOM_ERROR, `join 房间失败，${is.string(error) ? error : ''}`, error); } } async leave() { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '没有 joined'); } try { if (this.room) { this.class.stop(); this.user.stop(); this.document.stop(); this.chat.stop(); await this.room.leave(); this.room = null; this.isJoined = false; this.isJoining = false; } } catch (error) { logger.error('leave fail', constant.LOGGER_TAG_CLIENT, this.userId, [error]); } } async sendMessage(userId, messageType, message) { frequency60('client.sendMessage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!is.string(messageType) || !messageType) { throw new RTMError(errorType.INVALID_PARAMETER, 'message_type 类型错误'); } if (message === undefined) { message = null; } let g1 = await this.room.findUser(toString(userId)); if (!g1) { throw new RTMError(errorType.INVALID_OPERATION, '找不到 user'); } this.class.sendCommand(g1.id, { command_type: constant.BRTM_COMMAND_TYPE, rtm_custom_key: messageType, rtm_custom_value: message }); } async sendBroadcastMessage(messageType, message, options) { frequency60('client.sendBroadcastMessage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!is.string(messageType) || !messageType) { throw new RTMError(errorType.INVALID_PARAMETER, 'message_type 类型错误'); } if (message === undefined) { message = null; } this.class.sendCustomcast({ key: messageType, value: message, options: { all: options?.all ?? true, cache: options?.cache ?? true } }); } async getCachedBroadcastMessage(messageType) { frequency60('client.getCachedBroadcastMessage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!is.string(messageType) || !messageType) { throw new RTMError(errorType.INVALID_PARAMETER, 'message_type 类型错误'); } return this.class.getCachedCustomcast(messageType); } async clearCachedBroadcastMessage(messageType) { frequency60('client.clearCachedBroadcastMessage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!is.string(messageType) || !messageType) { throw new RTMError(errorType.INVALID_PARAMETER, 'message_type 类型错误'); } return this.class.clearCachedCustomcast(messageType); } onMessage(messageType, listener) { this.commandMap.add(messageType, listener); return this; } offMessage(messageType, listener) { this.commandMap.remove(messageType, listener); return this; } onBroadcastMessage(messageType, listener) { this.class.addCustomcastType(messageType, listener); return this; } offBroadcastMessage(messageType, listener) { this.class.removeCustomcastType(messageType, listener); return this; } createDocUploader(options) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return new DocUploader(this, options); } async enableDocumentAbility() { frequency60('client.enableDocumentAbility'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (this.room.ability.canUseDocument()) { return; } await this.class.updateAbility(this.room.computeAbilitiesCode(Ability.ABILITY_DOCUMENT, true)); } async disableDocumentAbility() { frequency60('client.disableDocumentAbility'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { return; } await this.class.updateAbility(this.room.computeAbilitiesCode(Ability.ABILITY_DOCUMENT, false)); } getAbilities() { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.ability.getAbilities(); } fire(type, data) { this.emitter.fire(type, is.array(data) ? data : (isDef(data) ? [data] : undefined)); } one(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this, max: 1 }); return this; } on(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this }); return this; } off(type, listener) { if (arguments.length > 1) { this.emitter.off(type, listener); } else { this.emitter.off(type); } return this; } getRoom() { return this.room; } getApiDomain() { return this.room.store.get('apiDomain'); } setBuffer(buffer = 0) { this.class.setBuffer(buffer); this.user.setBuffer(buffer); this.document.setBuffer(buffer); this.chat.setBuffer(buffer); } handleEvent() { let instance = this; let o = Events.EventsMap; let t = Events.ParameterHandlerMap; let listener = Events.events.concat(object.keys(ClassEvents)); const addEvent = (d1, event) => { instance.room.on(d1, (...args) => { let result = args; if (t[event]) { result = execute(t[event], instance, result); } if (result && is.func(result.then)) { result.then((result) => { if (result !== false) { if (is.array(result) && result.length === 2) { instance.fire(result[0], result[1]); } else { instance.fire(event, result); } logger.debug(`client event ${event}`, constant.LOGGER_TAG_CLIENT, instance.userId, [result]); } }); } else if (result !== false) { if (is.array(result) && result.length === 2) { instance.fire(result[0], result[1]); } else { instance.fire(event, result); } logger.debug(`client event ${event}`, constant.LOGGER_TAG_CLIENT, instance.userId, [result]); } }); }; array.each(listener, event => { if (o[event]) { if (is.array(o[event])) { array.each(o[event], (c1, index) => { addEvent(c1, event); }); } else if (is.string(o[event]) && o[event]) { addEvent(o[event], event); } } }); logger.debug('add event handler success', constant.LOGGER_TAG_CLIENT, this.userId, [listener.join(',')]); } async destroy() { if (this.class) { this.class.destroy(); } if (this.document) { this.document.destroy(); } if (this.user) { this.user.destroy(); } if (this.chat) { this.chat.destroy(); } if (this.room) { await this.leave(); } if (this.emitter) { this.emitter.off(); } if (this.commandMap) { this.commandMap.destroy(); } } } 