import RTCError from "../v/w"; export const DEBUG = 1; export const INFO = 2; export const WARN = 3; export const ERROR = 4; export const CLOSE = 5; export const FATAL = 6; let enableUpload = false; const nativeConsole = console, level = WARN; function formatLog(level, msg, tag, userId) { let info = []; if (tag) { info.push(tag); } if (userId) { info.push(userId); } return `[${new Date().toLocaleTimeString('chinese', { hour12: false })}] <${level}> [${info.join('|')}] ${msg}`; } let BRTM_LOG_LEVEL = WARN; function getLevel() { const c22 = BRTM_LOG_LEVEL; if (c22 >= DEBUG && c22 <= FATAL) { return c22; } return WARN; } export function setLevel(level) { BRTM_LOG_LEVEL = level; } export function debug(msg, tag, userId, args = []) { if (nativeConsole && getLevel() <= DEBUG) { nativeConsole.log(formatLog('DEBUG', msg, tag, userId), args); } } export function info(msg, tag, userId, args = []) { if (nativeConsole && getLevel() <= INFO) { nativeConsole.log(formatLog('INFO', msg, tag, userId), args); } } export function warn(msg, tag, userId, args = []) { if (nativeConsole && getLevel() <= WARN) { nativeConsole.log(formatLog('WARN', msg, tag, userId), args); } } export function error(msg, tag, userId, args = []) { if (nativeConsole && getLevel() <= ERROR) { nativeConsole.log(formatLog('ERROR', msg, tag, userId), args); } } export function fatal(code, name, message) { throw new RTCError(code, name, message); } export function enableUploadLog() { enableUpload = true; } export function disableUploadLog() { enableUpload = false; } export const LogMap = {}; LogMap[DEBUG] = debug; LogMap[INFO] = info; LogMap[WARN] = warn; LogMap[ERROR] = error; 