import * as array from '@ohos/common/src/main/ets/util/array'; export default class TaskQueue { constructor(buffer = 0) { this.buffer = Math.floor(buffer * 1000); this.queue = []; } push(b24, message) { if (this.buffer > 0) { const task = { message: message, action: null, buffer: this.buffer, timestamp: Date.now(), timer: null, padding: true, stop: null }; const action = () => { b24(); if (task.padding) { task.padding = false; task.timer = null; array.remove(this.queue, task); } }; const stop = () => { if (task.padding) { task.padding = false; clearTimeout(task.timer); task.timer = null; array.remove(this.queue, task); } }; task.action = action; task.stop = stop; task.timer = setTimeout(action, this.buffer); this.queue.push(task); return task; } else { b24(); } return null; } clear() { array.each(this.queue, (task) => { if (task) { clearTimeout(task.timer); task.timer = null; task.padding = false; } }); this.queue = []; } setBuffer(buffer) { if (this.buffer === buffer) { return; } buffer = Math.floor(buffer * 1000); const timestamp = Date.now(); array.each(this.queue.slice(), (task) => { if (task && task.buffer !== buffer) { clearTimeout(task.timer); const delay = timestamp - task.timestamp; if (delay >= buffer) { task.action(); } else { task.buffer = buffer; task.timestamp = timestamp; task.timer = setTimeout(task.action, buffer - delay); } } }); this.buffer = buffer; } schedule(callback) { array.each(this.queue.slice(), (task) => { if (task && task.padding && callback(task.message)) { task.padding = false; clearTimeout(task.timer); task.timer = null; task.action(); } }); } remove(callback) { array.each(this.queue.slice(), (task) => { if (task && task.padding && callback(task.message)) { task.stop(); } }); } flush() { array.each(this.queue.slice(), (task) => { if (task && task.padding) { task.padding = false; clearTimeout(task.timer); task.timer = null; task.action(); } }); this.queue = []; } } 