import Painter from "./d/h"; import RTMError from "../v/w"; import * as eventType from "./i"; import * as logger from "../d/e"; import DocPPTPlayer from "./d/u2"; import DocURLPlayer from "./d/v2"; import * as errorType from "../v/z"; import { PRIVATE_EVENT_PREFIX } from "../a"; import * as is from '@ohos/common/src/main/ets/util/is'; import * as roomEvents from "../k/l/j1/i"; import Emitter from '@ohos/common/src/main/ets/event/Emitter'; import isDef from '@ohos/common/src/main/ets/function/isDef'; import execute from '@ohos/common/src/main/ets/function/execute'; import restrain from '@ohos/common/src/main/ets/function/restrain'; import * as documentEvents from "../k/l/p/i"; import nextTick from '@ohos/common/src/main/ets/function/nextTick'; import compressDocImage from "./a1/w2"; import Debounce from '@ohos/common/src/main/ets/util/Debounce'; export default class DocumentPlayer { constructor(p29, q29, options, r29) { this.canvasContext = null; this.painter = null; this.imageWidth = 0; this.imageHeight = 0; this.viewWidth = 0; this.viewHeight = 0; this.resized = false; this.historyMap = new Map(); this.updateDoc_ = null; this.servePageChanged = null; if (!p29 || !q29 || !options) { throw new RTMError(errorType.INVALID_PARAMETER, '参数错误，请检查'); } if (!q29.getAbilities().document) { throw new RTMError(errorType.INVALID_OPERATION, '未开启文档功能'); } if (options.hasPainter && !r29) { throw new RTMError(errorType.INVALID_PARAMETER, '未传入 PainterConfig'); } const s29 = q29.document.docData.getDocumentById(p29.id); if (s29) { this.doc = s29; } else { this.doc = p29; } this.client = q29; this.painterConfig = r29; this.options = options; this.emitter = new Emitter(true, true); this.quality = restrain(options.quality ?? 1, 0.1, 1); this.canPaint = options.canDrawing ?? true; this.namespace = '.brtm_document_player' + Math.random(); this.currentPageId = -1; this.currentPage = -1; this.currentStep = -1; this.stepCount = 0; if (this.options.canvasContext) { this.canvasContext = this.options.canvasContext; } const instance = this; const t29 = this.client.document.docData; this.isAnimated = t29.isAnimationDoc(this.doc.id); if (this.isAnimated) { this.player = new DocPPTPlayer(this.doc, { urlQuery: instance.options.urlQuery || {}, allowPageByClick: instance.options.allowClick || false, cdnHostFallbacks: instance.options.cdnHostFallbacks ?? instance.client.getRoom()?.store.get('partner.cdnHostFallbacks', []), ossOriginHost: instance.options.ossOriginHost ?? instance.client.getRoom()?.store.get('partner.ossOriginHost', ''), insertTo: (v30) => { if (instance.options.onIFrameChange) { execute(instance.options.onIFrameChange, instance, [v30]); } }, postMessage: (message) => { if (instance.options.onPostIFrameMessage) { execute(instance.options.onPostIFrameMessage, instance, [message]); } }, onReady: (data) => { instance.stepCount = data.stepCount; instance.pageEnd('success'); }, onDocUpdate: (u30, update, trigger) => { if (trigger) { instance.client.document.updateDoc(update); } else { instance.client.document.docData.update(u30, update); } }, onPageCountChange: (s30, t30, pageCount) => { instance.doc.pageInfo.totalPages = pageCount; instance.onPageCountChange(); }, onPageChange: (o30, p30, q30, r30) => { instance.stepCount = q30; }, onEventTrigger: (m30, n30, step, event) => { instance.sendEvent(n30, step, event); }, onStepChange: (h30, i30, step, event, j30) => { const k30 = i30 !== instance.currentPage; if (!j30 && (i30 !== instance.currentPage || step !== instance.currentStep)) { instance.changePage(i30, step).then(() => { instance.pageEnd('success', true, k30); instance.onStepChange(i30, step); }); } else if (j30 && i30 === instance.currentPage && step === instance.currentStep) { instance.pageEnd('success', true, step == 0); instance.onStepChange(i30, step); } }, onRequestChange: (e30, f30, g30) => { instance.changePage(f30, g30); } }); } else { this.player = new DocURLPlayer(this.doc, { compressImage: this.options.compressImage, watermark: this.options.waterMark, preloadCount: 10, urlPreload: (url, d30) => { if (instance.options.urlPreload) { execute(instance.options.urlPreload, instance, [url, d30]); } }, hostFallbacks: instance.options.cdnHostFallbacks ?? instance.client.getRoom()?.store.get('partner.cdnHostFallbacks', []), ossOriginHost: instance.options.ossOriginHost ?? instance.client.getRoom()?.store.get('partner.ossOriginHost', ''), insertTo: (url, width, height, b30, c30, source) => { if (instance.options.onUrlChange) { execute(instance.options.onUrlChange, instance, [url, width, height, b30, c30, source]); } } }); } const u29 = this.getDocExtraInfo(); if (!u29.scale || u29.scale === 1) { u29.scrollLeft = 0.5; u29.scrollTop = 0.5; } if (this.options.hasPainter) { this.painter = new Painter(this.canvasContext, this.painterConfig, this.emitter, { user: this.client.getRoom().userData.getSelf(), page: 1, eraserSensitivity: options.eraserSensitivity, preserveDrawingBuffer: options.preserveDrawingBuffer, createTextarea: options.createTextarea, updateTextareaValue: options.updateTextareaValue, blurTextarea: options.blurTextarea, removeTextarea: options.removeTextarea, devicePixelRatio: options.devicePixelRatio, enableBrushTip: options.enableBrushTip, useWebgl: options.useWebgl }); this.painter.ready(this.canPaint, false).then(() => { this.setCanDrawing(this.canPaint); this.setPage(u29.page ?? 0, u29.step ?? 0, true); }); this.historyMap = new Map(); } else { nextTick(() => { this.setPage(u29.page ?? 0, u29.step ?? 0, true); }); } this.updateDoc_ = new Debounce((data) => { if (this.client) { this.client.document.updateDoc(data); } }, 1000, false); this.servePageChanged = new Debounce((x29, step) => { if (!this.player) { return; } let y29 = !(x29 === this.currentPage && !this.isAnimated); if (!y29 && this.client.document.docData.isWhiteboardDoc(this.doc.id)) { let pageId = this.client.document.docData.getIdByPage(this.doc.id, x29); y29 = this.currentPageId !== pageId; } if (y29) { this.setPage(x29, step); } }, 200, true); this.bindEvent(); } isAnimatedDocument() { return this.isAnimated; } async changePage(m29, step = 0) { if (!is.number(m29)) { throw new RTMError(errorType.INVALID_PARAMETER, 'page 不是一个 number'); } if (step && !is.number(step)) { throw new RTMError(errorType.INVALID_PARAMETER, 'step 不是一个 number'); } if (m29 < 0 || m29 >= this.doc.pageInfo.totalPages) { throw new RTMError(errorType.INVALID_PARAMETER, 'page 超出范围'); } if (step && (step < 0 || step >= this.stepCount)) { throw new RTMError(errorType.INVALID_PARAMETER, 'step 超出范围'); } return this.client.document.changePage(this.doc.id, m29, step).then((data) => { this.setPage(m29, step); }) .catch((error) => { throw new RTMError(errorType.SIGNAL_ERROR, '信令超时'); }); } setPage(g29, step, force = false) { if (!is.number(g29)) { throw new RTMError(errorType.INVALID_PARAMETER, 'page 不是一个 number'); } if (step && !is.number(step)) { throw new RTMError(errorType.INVALID_PARAMETER, 'step 不是一个 number'); } if (g29 < 0 || g29 >= this.doc.pageInfo.totalPages) { throw new RTMError(errorType.INVALID_PARAMETER, 'page 超出范围'); } if (!force && step && (step < 0 || step >= this.stepCount)) { throw new RTMError(errorType.INVALID_PARAMETER, 'step 超出范围'); } if (this.painter) { this.historyMap.set(this.currentPage, this.painter.getHistoryData()); } let h29 = this.currentPage !== g29; const i29 = this.currentStep !== step; if (this.client.document.docData.isWhiteboardDoc(this.doc.id)) { let pageId = this.client.document.docData.getIdByPage(this.doc.id, g29); h29 = h29 || this.currentPageId !== pageId; this.currentPageId = pageId; } this.currentPage = g29; this.currentStep = step; const j29 = +this.doc.pageInfo.width; const k29 = +this.doc.pageInfo.height; const result = execute(this.options.getImageDimension, this, [j29, k29, this.getScale()]); let width = result.width; let height = result.height; let viewWidth = result.viewWidth; let viewHeight = result.viewHeight; if (!is.number(width) || width <= 0 || !is.number(height) || height <= 0) { throw new RTMError(errorType.INVALID_PARAMETER, 'getImageDimension 返回非法，请检查'); } if (!viewWidth) { viewWidth = width; } if (!viewHeight) { viewHeight = height; } this.viewWidth = viewWidth; this.viewHeight = viewHeight; const scale = this.getScale(); width = Math.floor(width * scale); height = Math.floor(height * scale); const l29 = this.imageWidth !== width || this.imageHeight !== height; this.imageWidth = width; this.imageHeight = height; this.pageStart(h29); this.player.setPage(g29, step); this.player.setConfig(width, height, this.quality); if (this.painter && h29) { this.painter.clear(true); } this.resized = l29; if (this.isAnimated && !h29 && !i29 || !this.isAnimated) { this.pageEnd('success', true, !this.isAnimated ? h29 : false); } } async sendEvent(e29, step, event) { return this.client.document.changePage(this.doc.id, e29, step, event).catch((error) => { throw new RTMError(errorType.SIGNAL_ERROR, '信令超时'); }); } dispatchEvent(event) { if (this.isAnimated) { this.player.dispatchEvent(event); } else { throw new RTMError(errorType.INVALID_OPERATION, '当前文档不是动态文档'); } } sendMessage(message) { if (this.isAnimated) { this.player.sendMessage(message); } else { throw new RTMError(errorType.INVALID_OPERATION, '当前文档不是动态文档'); } } reload() { this.setPage(this.currentPage, this.currentStep); if (this.options.onReload) { this.options.onReload(); } } reDraw() { if (this.painter) { this.painter.refresh(); } } hasPrev() { return this.currentPage > 0 || this.currentStep > 0; } hasNext() { return this.currentPage < this.doc.pageInfo.totalPages - 1 || this.currentStep < this.stepCount - 1; } async prev() { if (this.hasPrev()) { if (this.currentStep > 0) { await this.changePage(this.currentPage, this.currentStep - 1); } else { await this.changePage(this.currentPage - 1, 0); } } else { throw new RTMError(errorType.INVALID_OPERATION, '没有上一步'); } } async next() { if (this.hasNext()) { if (!this.stepCount || this.stepCount && this.currentStep === this.stepCount - 1) { await this.changePage(this.currentPage + 1, 0); } else { await this.changePage(this.currentPage, this.currentStep + 1); } } else { throw new RTMError(errorType.INVALID_OPERATION, '没有下一步'); } } clientPrev() { if (this.hasPrev()) { if (this.currentStep > 0) { this.setPage(this.currentPage, this.currentStep - 1); } else { this.setPage(this.currentPage - 1, 0); } } else { throw new RTMError(errorType.INVALID_OPERATION, '没有上一步'); } } clientNext() { if (this.hasNext()) { if (this.stepCount && this.currentStep === this.stepCount - 1) { this.setPage(this.currentPage + 1, 0); } else { this.setPage(this.currentPage, this.currentStep + 1); } } else { throw new RTMError(errorType.INVALID_OPERATION, '没有下一步'); } } setCanDrawing(enable) { this.canPaint = enable; if (this.painter) { this.painter.updatePaintAuth(enable); } } clearShapes() { if (this.painter) { this.painter.clear(); } } deleteSelectShapes() { if (this.painter) { this.painter.deleteActive(); } } getTotalPage() { return this.doc.pageInfo.totalPages; } getCurrentDocId() { return this.doc.id; } getCurrentPage() { return this.currentPage; } getCurrentStep() { return this.currentStep; } getStepCount() { return this.stepCount; } canOperatePage() { return this.client.document.docData.isWhiteboardDoc(this.doc.id); } getImageWidth() { return this.imageWidth; } getImageHeight() { return this.imageHeight; } getScale() { const d29 = this.client.document.docData.getDocumentById(this.doc.id); if (d29?.extra) { return d29.extra.scale ? +d29.extra.scale : 1; } return 1; } async addPage() { if (this.canOperatePage()) { let result = await this.client.document.addPage(); this.updateDoc(); this.onPageCountChange(); return result.page; } else { throw new RTMError(errorType.INVALID_OPERATION, '当前 Doc 不能操作页码'); } } async removePage(c29) { if (this.canOperatePage()) { if (!is.number(c29)) { throw new RTMError(errorType.INVALID_PARAMETER, '参数 page 类型错误'); } if (c29 < 0 || c29 >= this.getTotalPage()) { throw new RTMError(errorType.INVALID_PARAMETER, '参数 page 超出范围'); } if (this.getTotalPage() === 1) { throw new RTMError(errorType.INVALID_OPERATION, '至少需要保留一页'); } await this.client.document.removePage(c29); this.updateDoc(); this.onPageCountChange(); } else { throw new RTMError(errorType.INVALID_OPERATION, '当前 Doc 不能操作页码'); } } snapshot(b29 = true, type = 'png', quality = 1) { if (!this.options.preserveDrawingBuffer) { throw new RTMError(errorType.INVALID_OPERATION, '配置项 preserveDrawingBuffer 未设置为 true'); } if (b29 && !this.isAnimated && this.player) { } } addImage(url, x = 0, y = 0) { if (this.painter) { this.painter.addBitmap({ url: url, position: { x: x, y: y } }); } } fire(type, data) { this.emitter.fire(type, is.array(data) ? data : (isDef(data) ? [data] : undefined)); } one(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this, max: 1 }); return this; } on(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this }); return this; } off(type, listener) { if (arguments.length > 1) { this.emitter.off(type, listener); } else { this.emitter.off(type); } return this; } setQuality(quality = 1) { this.quality = restrain(quality, 0.1, 1); } recreatePainter() { if (!this.painter) { return; } this.painter.destroy(); this.painter = new Painter(this.canvasContext, this.painterConfig, this.emitter, { user: this.client.getRoom().userData.getSelf(), page: 1, eraserSensitivity: this.options.eraserSensitivity, preserveDrawingBuffer: this.options.preserveDrawingBuffer }); this.painter.ready(this.canPaint, false).then(() => { this.pageEnd('recreatePainter', false); }); } hasPainterPrev() { if (this.painter) { return this.painter.hasPrev(); } return false; } hasPainterNext() { if (this.painter) { return this.painter.hasNext(); } return false; } painterPrev() { if (this.painter) { this.painter.prev(); } } painterNext() { if (this.painter) { this.painter.next(); } } isCurrentPage(y28, z28) { return this.currentPage === z28; } pageStart(x28) { this.onLoadingStart(x28); } pageEnd(status, callback = true, s28 = true) { if (callback) { this.onLoadingEnd(status, s28); } if (s28) { this.onPageChange(status); } if (this.painter && (s28 || this.resized)) { this.painter.clear(true); this.painter.setCanvasLayer(this.doc.id, this.currentPage); this.painter.updatePaintAuth(this.canPaint); this.painter.resize(this.imageWidth, this.imageHeight).then(() => { setTimeout(() => { this.client.document.requestAllShapes(this.doc.id, this.currentPage).then((w28) => { this.painter.loadLayerShape(w28); if (this.historyMap.get(this.currentPage)) { this.painter.setHistoryData(this.historyMap.get(this.currentPage)); } else { this.fire(eventType.HISTORY_RECORD_CHANGED, { record: 0 }); } }); }, 0); }); } this.setScroll(this.getDocExtraInfo()); } getDocExtraInfo() { const r28 = this.client.document.docData.getDocumentById(this.doc.id); return r28 && r28.extra || {}; } bindEvent() { if (this.painter) { const h28 = this.painter; this.emitter .on(eventType.SHAPE_ADD_TRIGGER + this.namespace, async (data) => { let result = await this.client.document.addShape(data.docId, data.page, data.shape); h28.emitShapeAdd(result); }) .on(eventType.SHAPE_APPEND_TRIGGER + this.namespace, async (data) => { let result = await this.client.document.appendShape(data.docId, data.page, data.shape); h28.emitShapeAppend(result); }) .on(eventType.SHAPE_UPDATE_TRIGGER + this.namespace, async (data) => { let result = await this.client.document.updateShapes(data.docId, data.page, data.shapeList); h28.emitShapeUpdate(result); }) .on(eventType.SHAPE_REMOVE_TRIGGER + this.namespace, async (data) => { let result = await this.client.document.removeShapes(data.docId, data.page, data.shapeId); h28.emitShapeRemove(result); }) .on(eventType.PAINTER_RECTEARE_TRIGGER + this.namespace, (data) => { if (data.canvas === this.painter) { this.recreatePainter(); } }); this.client.document .on(documentEvents.SHAPE_ADDED + this.namespace, (data) => { if (data.docId === this.doc.id && data.page === this.currentPage) { h28.emitShapeAdd(data); } }) .on(documentEvents.SHAPE_APPENDED + this.namespace, (data) => { if (data.docId === this.doc.id && data.page === this.currentPage) { h28.emitShapeAppend(data); } }) .on(documentEvents.SHAPE_UPDATED + this.namespace, (data) => { if (data.docId === this.doc.id && data.page === this.currentPage) { h28.emitShapeUpdate(data); } }) .on(documentEvents.SHAPE_REMOVED + this.namespace, (data) => { if (data.docId === this.doc.id && data.page === this.currentPage) { h28.emitShapeRemove(data); } }); } let oldScale = this.getScale(); this.client.document .on(documentEvents.PAGE_CHANGED + this.namespace, (data) => { if (data.docId === this.doc.id) { if (data.event) { if (this.isAnimated) { this.dispatchEvent(data.event); } } else { this.servePageChanged.execute(data.page, data.step); } } }) .on(documentEvents.PAGE_ADDED + this.namespace, (data) => { if (data.docId === this.doc.id) { this.updateDoc(); this.onPageCountChange(); } }) .on(documentEvents.PAGE_REMOVED + this.namespace, (data) => { if (data.docId === this.doc.id) { this.updateDoc(); this.onPageCountChange(); } }) .on(documentEvents.DOC_UPDATED + this.namespace, (data) => { if (data.docId === this.doc.id) { if (this.isAnimated) { this.sendMessage({ name: 'recordChange', record: data.extra.pptOperation, fromId: data.fromId }); } if (this.options.onExtraUpdate) { execute(this.options.onExtraUpdate, this, [data.extra]); } const scale = data.extra.scale; this.setScroll(data.extra); if (oldScale !== scale) { oldScale = scale; this.reload(); if (this.options.onScaleUpdate) { this.options.onScaleUpdate(); } } } }) .on(documentEvents.DOC_ALL + this.namespace, (data) => { const d28 = this.client.document.docData.getDocumentById(this.doc.id); if (!d28) { this.destroy(); logger.error(`文档 ${this.doc.id} 已不存在`, 'DocumentPlayer'); } else { const e28 = d28.extra?.page ?? 0; const step = d28.extra?.step ?? 0; if (this.currentPage !== e28 || this.isAnimated && this.currentStep !== step) { this.setPage(e28, step, true); } else if (data.reconnected && this.painter) { this.painter.clear(true); this.client.document.requestAllShapes(this.doc.id, this.currentPage).then((g28) => { this.painter.loadLayerShape(g28); }); } } }); this.client .on(roomEvents.BRTM_ABILITIES_CHANGED + this.namespace, (data) => { if (!data?.document) { this.destroy(); logger.debug('文档功能已关闭', 'DocumentPlayer'); } }) .on(PRIVATE_EVENT_PREFIX + roomEvents.BRTM_ABILITIES_CHANGED + this.namespace, (data) => { if (!data?.document) { this.destroy(); logger.debug('文档功能已关闭', 'DocumentPlayer'); } }); } onmessage(event) { let data; try { data = JSON.parse(event); } catch (err) { } if (!data) { return; } const v27 = this.player; if (data.id && v27.getId() === data.id) { switch (data.name) { case 'ready': v27.onReady(data); break; case 'pagechange': v27.onPageChange(data); break; case 'stepchange': v27.onStepChange(data); break; case 'click': v27.onClickEvent(data); break; case 'syncVideo': v27.onSyncVideo(data); break; case 'requestchangepage': v27.onRequestChangePage(data); break; case 'requestchangerecord': v27.onRequestChangeRecord(data); break; } } } onLoadingStart(u27) { if (this.options.onLoadingStart) { execute(this.options.onLoadingStart, this, [this.currentPage, this.currentStep, u27]); } this.fire(eventType.LOADING_START, { page: this.currentPage, step: this.currentStep, pageChanged: u27 }); } onLoadingEnd(status, t27) { if (this.options.onLoadingEnd) { execute(this.options.onLoadingEnd, this, [this.currentPage, this.currentStep, t27, status]); } this.fire(eventType.LOADING_ENDED, { page: this.currentPage, step: this.currentStep, status: status, pageChanged: t27 }); } onPageChange(status) { if (this.options.onPageChange) { execute(this.options.onPageChange, this, [this.currentPage, this.currentStep, status]); } this.fire(eventType.PAGE_CHANGED, { page: this.currentPage, step: this.currentStep, status: status }); } onStepChange(s27, step) { if (this.options.onStepChange) { execute(this.options.onStepChange, this, [s27, step]); } this.fire(eventType.STEP_CHANGED, { page: this.currentPage, step: this.currentStep }); } onPageCountChange() { if (this.options.onPageCountChange) { execute(this.options.onPageCountChange, this, [this.getTotalPage()]); } this.fire(eventType.PAGE_COUNT_CHANGED, this.getTotalPage()); } updateDoc() { this.doc = this.client.document.docData.getDocumentById(this.doc.id); if (this.player && !this.isAnimated) { this.player.updateDoc(this.doc); } } setScale(scale) { const r27 = this.client.document.docData.getDocumentById(this.doc.id); if (r27) { r27.extra.scale = scale; if (scale === 1) { r27.extra.scrollLeft = 0.5; r27.extra.scrollTop = 0.5; } this.updateDoc_.execute({ docId: r27.id, extra: r27.extra }); this.reload(); if (this.options.onScaleUpdate) { this.options.onScaleUpdate(); } } } syncScroll(left, top) { if (!this.options.syncScroll) { return; } const q27 = this.client.document.docData.getDocumentById(this.doc.id); if (q27) { q27.extra.scrollLeft = left; q27.extra.scrollTop = top; this.updateDoc_.execute({ docId: q27.id, extra: q27.extra }); } } setScroll(extra) { const scale = extra.scale; if (scale > 1) { let o27 = extra.scrollLeft ?? 0.5; let p27 = extra.scrollTop ?? 0.5; if (Number.isNaN(o27)) { o27 = 0.5; } if (Number.isNaN(p27)) { p27 = 0.5; } if (this.options.scrollTo) { this.options.scrollTo(o27, p27); } } } enableSyncScroll(enable) { this.options.syncScroll = enable; } destroy() { if (!this.emitter) { return; } if (this.namespace && this.client) { try { if (this.client.document) { this.client.document.off(this.namespace); } this.client.off(this.namespace); } catch (error) { } } this.emitter.off(); if (this.historyMap) { this.historyMap.clear(); } if (this.player) { this.player.destroy(); } if (this.painter) { this.painter.destroy(); } this.painter = null; this.updateDoc_ = null; } onTouchStart(event) { if (this.painter) { this.painter.onTouchStart((event)); } } onTouchMove(event) { if (this.painter) { this.painter.onTouchMove((event)); } } onTouchEnd(event) { if (this.painter) { this.painter.onTouchEnd((event)); } } getPainter() { return this.painter; } } DocumentPlayer.compressDocImage = compressDocImage; 