import * as config from "../a"; import * as eventType from "../i"; import * as logger from "../../d/e"; import WebSocket from '@ohos/common/src/main/ets/helper/WebSocket'; import * as array from '@ohos/common/src/main/ets/util/array'; import * as object from '@ohos/common/src/main/ets/util/object'; export default class Server { constructor(emitter, server, proxies, options) { this.ws = null; this.tag = 'server'; this.server = server; this.proxies = proxies; this.options = options; this.emitter = emitter; this.promiseHolder = new Map(); this.messageTypes = new Map(); this.queue = []; this.seq = 0; } getActiveServer() { return this.activeServer; } setServer(server) { this.server = server; } setProxies(proxies) { this.proxies = proxies; } fire(type, data) { this.emitter.fire(type, Array.isArray(data) ? data : (data != null ? [data] : undefined)); } connect(options) { if (options) { this.options = options; } let params = object.extend({ interval: config.SECOND, retryCount: config.WEBSOCKET_TRY_CONNECT_COUNT, timeout: config.ROOM_SERVER_CONNECT_TIMEOUT }, this.options); this.ws = new WebSocket({ onSend: (message) => { if (params.onSend) { params.onSend(message); } this.fire(eventType.WEBSOCKET_SEND, message); }, onReceive: (message) => { let holder = message.seq && this.promiseHolder.get(message.seq); if (holder) { if (!message.user_id) { logger.warn('no user_id', this.tag, 0, [message]); } clearTimeout(holder.timer); this.promiseHolder.delete(message.seq); holder.resolve(message); } let m21 = this.messageTypes.get(message.message_type); if (m21 && m21.length) { array.each(m21, handler => { handler(message); }); } if (params.onReceive) { params.onReceive(message); } this.fire(eventType.WEBSOCKET_RECEIVE, message); }, onOpen: (data) => { if (params.onOpen) { params.onOpen(data); } while (this.queue.length) { this.send(this.queue.pop()); } this.activeServer = data.server; }, onClose: params.onClose, onError: params.onError, onTimeout: params.onTimeout, connectOnClose: false, retryCount: params.retryCount, timeout: params.timeout, interval: params.interval }); this.ws.connect(this.server, this.proxies); } async request(message) { return new Promise((k21, l21) => { message.seq = this.options.seqPrefix ? `${this.options.seqPrefix}_${this.seq++}` : this.seq++; this.promiseHolder.set(message.seq, { resolve: k21, reject: l21, seq: message.seq, timer: setTimeout(() => { logger.error('request timeout', this.tag, 0, [message]); l21('timeout'); this.promiseHolder.delete(message.seq); }, config.SIGNAL_REQUEST_TIMEOUT) }); this.send(message); }); } send(message) { if (this.ws && this.ws.isOpen()) { this.ws.send(message); } else { this.queue.push(message); } } logout() { if (this.ws) { this.ws.close(); this.ws = null; } if (this.promiseHolder) { this.promiseHolder.forEach((holder) => { if (holder.timer) { clearTimeout(holder.timer); } }); this.promiseHolder.clear(); } } close() { this.logout(); if (this.messageTypes) { this.messageTypes.clear(); } if (this.promiseHolder) { this.promiseHolder.clear(); } this.queue.length = 0; this.seq = 0; } addMessageType(messageType, handler) { let h21 = this.messageTypes.get(messageType); if (h21) { h21.push(handler); } else { this.messageTypes.set(messageType, [handler]); } } removeMessageType(messageType, handler) { let e21 = this.messageTypes.get(messageType); let index = -1; array.each(e21, (h, g21) => { if (handler === h) { index = g21; return false; } return true; }); if (index > -1) { e21.splice(index, 1); } if (!e21.length) { this.messageTypes.delete(messageType); } } addMessageTypes(c21) { c21.forEach((handler, messageType) => { this.addMessageType(messageType, handler); }); } removeMessageTypes(a21) { a21.forEach((handler, messageType) => { this.removeMessageType(messageType, handler); }); } } 