import Server from "./b2"; import * as config from "../a"; import * as eventType from "../i"; import Timer from '@ohos/common/src/main/ets/util/Timer'; import camelCaseObject from '@ohos/common/src/main/ets/function/camelCaseObject'; export default class ChatServer extends Server { constructor(g20, emitter, server, proxies) { super(emitter, server, proxies); this.tag = 'chat-server'; this.store = g20; this.heartbeatTimer = new Timer(() => { this.heartbeat(); }, null, config.HEARTBEAT_INTERVAL); } async connect() { return new Promise((e20, f20) => { super.connect({ seqPrefix: this.store.get('user.number'), timeout: config.CHAT_SERVER_CONNECT_TIMEOUT, onOpen: (data) => { e20(); if (data.reconnecting) { this.login(); } this.fire(eventType.CHAT_SERVER_CONNECT_SUCCESS, data); }, onClose: (event) => { this.endHeartbeat(); this.fire(eventType.WEBSOCKET_CLOSE, event); this.fire(eventType.CHAT_SERVER_OFFLINE); }, onSend: (data) => { }, onReceive: (data) => { }, onError: (data) => { this.fire(eventType.CHAT_SERVER_LOGIN_FAIL, data); f20(eventType.CHAT_SERVER_LOGIN_FAIL); }, onTimeout: (data) => { this.fire(eventType.CHAT_SERVER_CONNECT_FAIL, data); f20(eventType.CHAT_SERVER_CONNECT_FAIL); } }); }); } heartbeat() { this.send({ message_type: 'heart_beat' }); } startHeartbeat() { this.endHeartbeat(); this.heartbeatTimer.start(); } endHeartbeat() { this.heartbeatTimer.stop(); } async login() { const b20 = this.store.get('user'); let message = { message_type: 'login_req', class_id: this.store.get('class.id'), user: { id: b20.id, number: b20.number, group: b20.group, type: b20.type, name: b20.name, avatar: b20.avatar, status: 0, end_type: b20.endType } }; return this.request(message).then((message) => { this.startHeartbeat(); if (message.code === 0) { this.fire(eventType.CHAT_SERVER_LOGIN_SUCCESS, { messageList: camelCaseObject(message.message_list) }); } else { this.fire(eventType.CHAT_SERVER_LOGIN_FAIL); } return message; }); } send(message) { message.class_id = this.store.get('class.id'); message.user_id = this.store.get('user.id'); message.ts = message.ts || Date.now(); super.send(message); } logout() { if (this.heartbeatTimer) { this.heartbeatTimer.stop(); } super.logout(); } destroy() { this.close(); this.heartbeatTimer.dispose(); } } 