import Server from "./b2"; import * as config from "../a"; import * as eventType from "../i"; import { timestampMillisecond } from "../..//d/d"; import Timer from '@ohos/common/src/main/ets/util/Timer'; export default class RoomServer extends Server { constructor(y20, emitter, server, proxies) { super(emitter, server, proxies); this.tag = 'room-server'; this.store = y20; this.heartbeatTimer = new Timer(() => { this.heartbeat(); }, null, config.HEARTBEAT_INTERVAL); } async connect() { return new Promise((w20, x20) => { super.connect({ seqPrefix: this.store.get('user.number'), timeout: config.ROOM_SERVER_CONNECT_TIMEOUT, onOpen: (data) => { w20(); if (data.reconnecting) { this.login(); } this.fire(eventType.ROOM_SERVER_CONNECT_SUCCESS, data); }, onClose: (event) => { this.endHeartbeat(); this.fire(eventType.WEBSOCKET_CLOSE, event); this.fire(eventType.ROOM_SERVER_OFFLINE); }, onSend: (data) => { }, onReceive: (data) => { }, onError: (data) => { this.fire(eventType.ROOM_SERVER_CONNECT_FAIL, data); x20(eventType.ROOM_SERVER_CONNECT_FAIL); }, onTimeout: (data) => { this.fire(eventType.ROOM_SERVER_CONNECT_TIMEOUT, data); x20(eventType.ROOM_SERVER_CONNECT_TIMEOUT); } }); }); } heartbeat() { const date = new Date(); const u20 = date.getTime(); const message = { message_type: 'heart_beat', timestamp: Math.round(u20 / 1000) + date.getTimezoneOffset() * 60, ts: u20 }; this.send(message); } startHeartbeat() { this.endHeartbeat(); this.heartbeatTimer.start(); } endHeartbeat() { this.heartbeatTimer.stop(); } async login() { const q20 = this.store.get('user'); const r20 = { points_decoder: 2, doodle_version: 1, protocol_version: 1 }; const s20 = { number: q20.number, type: q20.type, name: q20.name, avatar: q20.avatar, end_type: q20.endType, group: q20.group, auth: q20.auth }; const message = { message_type: 'login_req', token: this.store.get('token'), speak_state: 0, user: s20, support: r20 }; return this.request(message).then((message) => { if (message.code == 0) { this.store.set({ 'class.started': message.started, 'class.totalUserCount': message.accumulative_user_count, 'class.userCount': message.user_count, 'class.loginTime': message.timestamp * 1000, 'class.diffNTP': message.timestamp * 1000 - timestampMillisecond(), 'class.rtmAbilities': message.rtm_abilities ?? 1 }); this.startHeartbeat(); this.fire(eventType.ROOM_SERVER_LOGIN_SUCCESS); return eventType.ROOM_SERVER_LOGIN_SUCCESS; } else if (message.code == 1) { this.fire(eventType.ROOM_SERVER_LOGIN_FAIL); return eventType.ROOM_SERVER_LOGIN_FAIL; } else if (message.code == 2) { this.fire(eventType.ROOM_SERVER_LOGIN_OVERFLOW); return eventType.ROOM_SERVER_LOGIN_OVERFLOW; } else if (message.code == 3) { this.fire(eventType.ROOM_SERVER_LOGIN_KICKED_OUT); return eventType.ROOM_SERVER_LOGIN_KICKED_OUT; } else if (message.code == 4) { this.fire(eventType.ROOM_SERVER_LOGIN_CONFLICT); return eventType.ROOM_SERVER_LOGIN_CONFLICT; } else if (message.code === 5) { this.fire(eventType.ROOM_SERVER_LOGIN_AUDITION_END); return eventType.ROOM_SERVER_LOGIN_AUDITION_END; } else if (message.code === 6) { this.fire(eventType.ROOM_SERVER_LOGIN_EXPIRED); return eventType.ROOM_SERVER_LOGIN_EXPIRED; } return eventType.ROOM_SERVER_LOGIN_SUCCESS; }); } send(message) { const p20 = this.store.get('user'); message.class_id = this.store.get('class.id'); message.user_id = p20.id; message.ts = message.ts || Date.now(); message.signal_send_by = { id: p20.id, number: p20.number, type: p20.type, group: p20.group, end_type: p20.endType }; super.send(message); } logout() { this.send({ message_type: 'logout_req' }); if (this.heartbeatTimer) { this.heartbeatTimer.stop(); } super.logout(); } destroy() { this.close(); this.heartbeatTimer.dispose(); } } 