import Model from "../f2"; import * as eventType from "./i"; import RTMError from "../../../v/w"; import { frequency60 } from "../../../g1"; import * as constant from "../../../d/f"; import * as errorType from "../../../v/z"; import { PRIVATE_EVENT_PREFIX } from "../../../a"; import formatUserId from "../../../a1/b1"; import MapNS from '@ohos/common/src/main/ets/util/MapNS'; export default class ClassModel extends Model { constructor(emitter) { super(emitter); this.commandTypes = new MapNS(true); this.customcastTypes = new MapNS(true); this.broadcastTypes = new MapNS(true); this.commandTypes.add('logout', (message, y13) => { this.fire(eventType.USER_KICKED, formatUserId(y13, this.room.store.get('useStringUserId'))); }); this.addMessageType('login_conflict', (data) => { this.room && this.room.leave(); this.fire(eventType.CLIENT_BANNED, data.end_type); }); this.addMessageType('broadcast_receive', (data) => { if (data.user_id !== this.room.store.get('user.id')) { const from = formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')); this.fire(eventType.BROADCAST_MESSAGE_RECEIVED, { messageType: data.key, message: data.value, fromId: from }); this.broadcastTypes.execute(data.key, [data.value, from]); } }); this.addMessageType('customcast_receive', (data) => { if (data.user_id !== this.room.store.get('user.id')) { const from = formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')); this.fire(eventType.CUSTOMCAST_MESSAGE_RECEIVED, { messageType: data.key, message: data.value, fromId: from }); this.customcastTypes.execute(data.key, [data.value, from]); } }); this.addMessageType('command_receive', (data) => { if (data.user_id !== this.room.store.get('user.id')) { const from = formatUserId(data.signal_send_by?.number ?? data.from, this.room.store.get('useStringUserId')); const command = data.data; const x13 = command.command_type; if (x13 === constant.BRTM_COMMAND_TYPE) { this.fire(eventType.MESSAGE_RECEIVED, { messageType: command.rtm_custom_key, message: command.rtm_custom_value, fromId: from }); } this.commandTypes.execute(x13, [command, from]); } }); this.addMessageType('rtm_abilities_change', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.room.store.set('class.rtmAbilities', data.rtm_abilities); this.fire(eventType.BRTM_ABILITIES_CHANGED, this.room.ability.getAbilities()); } }); } sendCommand(userId, data) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const q13 = this.room.store.get('user'); this.room.roomServer.send({ message_type: 'command_send', from: q13.id, to: userId, data: data }); } async sendBroadcast(data) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const message = { message_type: 'broadcast_send', key: data.key, value: data.value, options: { cache: data.options?.cache ?? false, all: data.options?.all ?? true } }; this.room.roomServer.request(message).then(() => { return; }); } async getCachedBroadcast(key) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'broadcast_cache_req', key: key }).then((message) => { return { message: message.value, fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')) }; }); } async sendCustomcast(data) { frequency60('client.class.sendCustomcast'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const message = { message_type: 'customcast_send', key: data.key, value: data.value, options: { cache: data.options?.cache ?? false, all: data.options?.all ?? true }, role: this.room.store.get('user.type') }; return this.room.roomServer.request(message); } async getCachedCustomcast(key) { frequency60('client.class.getCachedCustomcast'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'customcast_cache_req', key: key }).then((message) => { return { message: message.value, fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')) }; }); } async clearCachedCustomcast(key) { frequency60('client.class.clearCachedCustomcast'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } this.room.roomServer.request({ message_type: 'customcast_cache_clear_req', key: key }); } async startClass() { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'class_start_trigger' }); } async endClass() { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'class_end_trigger' }); } async updateAbility(ability) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'rtm_abilities_change_trigger', rtm_abilities: ability }).then((message) => { this.room.store.set('class.rtmAbilities', message.rtm_abilities); this.fire(PRIVATE_EVENT_PREFIX + eventType.BRTM_ABILITIES_CHANGED, this.room.ability.getAbilities()); return this.room.ability.getAbilities(); }); } addCommandMessageType(messageType, handler) { this.commandTypes.add(messageType, handler); } removeCommandMessageType(messageType, handler) { this.commandTypes.remove(messageType, handler); } addBroadcastType(messageType, handler) { this.broadcastTypes.add(messageType, handler); } removeBroadcastType(messageType, handler) { this.broadcastTypes.remove(messageType, handler); } addCustomcastType(messageType, handler) { this.customcastTypes.add(messageType, handler); } removeCustomcastType(messageType, handler) { this.customcastTypes.remove(messageType, handler); } addCommandMessageTypes(k13) { k13.forEach((handler, messageType) => { this.addCommandMessageType(messageType, handler); }); } removeCommandMessageTypes(i13) { i13.forEach((handler, messageType) => { this.removeCommandMessageType(messageType, handler); }); } addBroadcastTypes(g13) { g13.forEach((handler, messageType) => { this.addBroadcastType(messageType, handler); }); } removeBroadcastTypes(e13) { e13.forEach((handler, messageType) => { this.removeBroadcastType(messageType, handler); }); } addCustomcastTypes(c13) { c13.forEach((handler, messageType) => { this.addCustomcastType(messageType, handler); }); } removeCustomcastTypes(a13) { a13.forEach((handler, messageType) => { this.removeCustomcastType(messageType, handler); }); } destroy() { this.stop(); this.messageTypes.clear(); this.commandTypes.destroy(); this.broadcastTypes.destroy(); this.customcastTypes.destroy(); } } 