import Model from "../f2"; import * as config from "../../a"; import * as eventType from "./i"; import { Type2Role } from "../../../a"; import RTMError from "../../../v/w"; import { frequency60 } from "../../../g1"; import * as errorType from "../../../v/z"; import formatUserId from "../../../a1/b1"; import toString from '@ohos/common/src/main/ets/function/toString'; import camelCaseObject from '@ohos/common/src/main/ets/function/camelCaseObject'; export default class ChatModel extends Model { constructor() { super(); const w12 = {}; w12['message_revoke'] = async (message) => { this.fire(eventType.MESSAGE_REVOKED, { id: message.id, operator: formatUserId(message.user_number, this.room.store.get('useStringUserId')) }); }; w12['message_whisper_receive'] = (message) => { if (message.user_id !== this.room.store.get('user.id')) { this.fire(eventType.MESSAGE_WHISPER_RECEIVED, this.onWhisperMessageReceived(message)); } }; w12['message_receive'] = (message) => { if (message.user_id !== this.room.store.get('user.id')) { this.fire(eventType.MESSAGE_RECEIVED, this.onMessageReceived(message)); } }; this.addMessageTypes(w12); } onWhisperMessageReceived(message, to) { if (!this.room) { return; } const from = camelCaseObject(message.from); const v12 = { id: formatUserId(from.number, this.room.store.get('useStringUserId')), name: from.name, role: Type2Role[from.type], endType: from.endType, avatar: from.avatar, group: from.group }; let params = { id: message.id, time: message.time, content: message.content, data: message.data, to: to ?? formatUserId(this.room.store.get('user.number'), this.room.store.get('useStringUserId')), from: v12 }; this.room.userData.add(from); return params; } onMessageReceived(message) { const from = camelCaseObject(message.from); const s12 = { id: formatUserId(from.number, this.room.store.get('useStringUserId')), name: from.name, role: Type2Role[from.type], endType: from.endType, avatar: from.avatar, group: from.group }; let params = { id: message.id, time: message.time, content: message.content, channel: message.channel, data: message.data, from: s12 }; if (message.reference) { const t12 = camelCaseObject(message.reference.from); const u12 = { id: formatUserId(t12.number, this.room.store.get('useStringUserId')), name: t12.name, role: Type2Role[t12.type], endType: t12.endType, avatar: t12.avatar, group: t12.group }; params.reference = { content: message.reference.content, from: u12, data: message.reference.data }; } this.room.userData.add(from); return params; } run(r12) { if (this.hasRun) { this.stop(); } this.room = r12; this.room.chatServer.addMessageTypes(this.messageTypes); this.hasRun = true; } stop() { if (this.hasRun && this.room) { this.room.chatServer.removeMessageTypes(this.messageTypes); this.hasRun = false; this.room = null; } } async pull(l12, next = -1, count = 10) { frequency60('client.chat.pull'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } let message = { message_type: 'message_pull_req', channel: l12, next: next, count: count, }; return this.room.chatServer.request(message).then((message) => { let list = camelCaseObject(message.message_list); list = list.map((message) => { let from = message.from; const o12 = { id: formatUserId(from.number, this.room.store.get('useStringUserId')), name: from.name, role: Type2Role[from.type], endType: from.endType, avatar: from.avatar, group: from.group }; let params = { id: message.id, time: message.time, content: message.content, channel: message.channel, data: message.data, from: o12 }; if (message.reference) { const p12 = message.reference.from; const q12 = { id: formatUserId(p12.number, this.room.store.get('useStringUserId')), name: p12.name, role: Type2Role[p12.type], endType: p12.endType, avatar: p12.avatar, group: p12.group }; params.reference = { content: message.reference.content, from: q12, data: message.reference.data }; } return params; }); return { next: message.next, channel: message.channel, hasMore: message.has_more ? true : false, messageList: list }; }); } async send(message) { frequency60('client.chat.send'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } let i12 = this.room.store.get('user'); const j12 = { id: i12.id, number: i12.number, type: i12.type, name: i12.name, avatar: i12.avatar, status: i12.status ?? 0, end_type: i12.endType, group: i12.group }; let params = { message_type: 'message_send', content: message.content, channel: message.channel, to: config.MESSAGE_TO_ALL, from: j12 }; if (message.data) { params.data = message.data; } if (message.reference) { params.reference = message.reference; } return this.room.chatServer.request(params).then((message) => { return this.onMessageReceived(message); }); } async sendTo(to, message) { frequency60('client.chat.sendTo'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const e12 = await this.room.findUser(toString(to)); if (!e12) { throw new RTMError(errorType.INVALID_PARAMETER, 'user 不存在'); } let f12 = this.room.store.get('user'); const g12 = { id: f12.id, number: f12.number, type: f12.type, name: f12.name, avatar: f12.avatar, status: f12.status ?? 0, end_type: f12.endType, group: f12.group }; let params = { message_type: 'message_whisper_send', content: message.content, channel: message.channel, to: e12.id, to_num: e12.number, from: g12 }; if (message.data) { params.data = message.data; } if (message.reference) { params.reference = message.reference; } return this.room.chatServer.request(params).then((message) => { return this.onWhisperMessageReceived(message, to); }); } async translate(content, from, to) { frequency60('client.chat.translate'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.chatServer.request({ message_type: 'message_translate_send', content: content, from: from, to: to }).then((message) => { return message.result; }); } async revoke(id, a12) { frequency60('client.chat.revoke'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const b12 = await this.room.findUser(toString(a12)); const message = { message_type: 'message_revoke_req', id: id, from_uid: b12.id, user_number: this.room.store.get('user.number') }; return this.room.chatServer.request(message).then((message) => { return message.flag == 0; }); } } 