import Model from "../f2"; import * as config from "../../a"; import * as eventType from "./i"; import RTMError from "../../../v/w"; import { frequency60 } from "../../../g1"; import * as errorType from "../../../v/z"; import * as number2Base64 from "../../../d/i1"; import * as is from '@ohos/common/src/main/ets/util/is'; import * as array from '@ohos/common/src/main/ets/util/array'; import * as object from '@ohos/common/src/main/ets/util/object'; import toString from '@ohos/common/src/main/ets/function/toString'; import camelCaseObject from '@ohos/common/src/main/ets/function/camelCaseObject'; export default class UserModel extends Model { constructor() { super(); this.addMessageType('user_in', (data) => { const e19 = camelCaseObject(data.user); const f19 = this.room.userData.findByNumber(e19.number); if (f19) { this.room.userData.remove(f19.id); this.fire(eventType.USER_OUT, { user: f19 }); } this.room.userData.add(e19); if (e19.id !== this.room.store.get('user.id')) { this.fire(eventType.USER_IN, this.userData.toBRTMUser(e19)); } }); this.addMessageType('user_out', (data) => { const userId = data.user_id; const d19 = this.room.userData.find(userId); if (d19) { this.room.userData.remove(userId); this.fire(eventType.USER_OUT, this.userData.toBRTMUser(d19)); } }); this.addMessageType('user_update', (data) => { if (data.id !== this.room.store.get('user.id')) { const message = camelCaseObject(data); let result = this.room.userData.update(object.extend(object.extend({}, this.userData.findByNumber(message.userNumber)), message.user)); if (result.diff && array.has(result.diff, 'auth')) { this.fire(eventType.USER_AUTH_CHANGED, number2Base64.decode(result.update.auth)); } } }); this.addMessageType('report_user_in_and_out', (data) => { this.fire(eventType.USER_REPORT, { inCount: data.in_count, outCount: data.out_count, userInList: this.userData.toBRTMUsers(camelCaseObject(data.user_in_list)), userOutList: this.userData.toBRTMUsers(camelCaseObject(data.user_out_list)) }); }); this.addMessageType('user_count_change', (data) => { this.fire(eventType.USER_COUNT_CHANGED, { userCount: data.user_count, accumulativeUserCount: data.accumulative_user_count }); }); } async requestActive() { frequency60('client.user.requestActive'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'user_active_req' }).then((message) => { const v18 = (camelCaseObject(message.user_list || [])); const w18 = message.presenter_id; this.room.store.set('presenterId', w18); this.room.userData.add(v18); const x18 = this.room.userData.find(w18); if (x18) { this.room.store.set('presenter', x18); } else { this.room.store.set('presenterId'); } return this.userData.toBRTMUsers(v18); }); } async requestMore(count = config.MORE_USER_COUNT) { frequency60('client.user.requestMore'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (this.room.store.get('class.hasMoreUser')) { return this.room.roomServer.request({ message_type: 'user_more_req', count: count }).then((message) => { const s18 = (camelCaseObject(message.user_list || [])); this.room.store.set('class.hasMoreUser', message.has_more); const t18 = this.room.userData.add(s18).addList; return { hasMore: message.has_more, userList: this.userData.toBRTMUsers(t18) }; }); } return Promise.resolve({ hasMore: false, userList: [] }); } hasMore() { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.store.get('class.hasMoreUser'); } async requestState(userId) { frequency60('client.user.requestState'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'user_state_req', user_number: toString(userId) }).then((message) => { let number = message.user_number; let p18 = camelCaseObject(message.user_state); let q18 = this.room.store.get('user'); if (q18.number === number) { let state = object.extend({}, this.room.store.get('userState')); state = object.extend(state, p18); this.room.store.set('userState', state); } return p18; }); } async search(name) { frequency60('client.user.search'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'user_fuzzy_query_req', sname: name }).then((message) => { let l18 = []; array.each(message.user_list, (n18) => { l18.push(camelCaseObject(JSON.parse(n18))); }); this.userData.add(l18); return this.userData.toBRTMUsers(l18); }); } async find(userId) { frequency60('client.user.find'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } const j18 = await this.room.findUser(toString(userId)); if (j18) { return this.userData.toBRTMUser(j18); } return null; } async kickOut(userId) { frequency60('client.user.kickOut'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } let i18 = await this.room.findUser(toString(userId)); if (!i18) { throw new RTMError(errorType.INVALID_OPERATION, '找不到 user'); } this.room.roomServer.send({ message_type: 'command_send', from: this.room.store.get('user.id'), to: i18.id, data: { command_type: 'logout' } }); } async updateUser(userId, g18) { frequency60('client.user.updateUser', 20, 200); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } return this.room.roomServer.request({ message_type: 'user_update_trigger', user_number: toString(userId), user: g18 }).then((message) => { const data = camelCaseObject(message); this.room.userData.update(object.extend(object.extend({}, this.userData.findByNumber(data.userNumber)), data.user)); }); } async getUserAuth(userId) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } let f18 = await this.room.findUser(toString(userId)); if (f18 && !is.string(f18.auth)) { f18 = (await this.room.searchRawUser('number', toString(userId)))[0]; } if (!f18) { throw new RTMError(errorType.INVALID_PARAMETER, '未找到该 user'); } return number2Base64.decode(f18.auth ?? ''); } async getUserAuthByIndex(userId, index = 0) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } let e18 = await this.room.findUser(toString(userId)); if (e18 && !is.string(e18.auth)) { e18 = (await this.room.searchRawUser('number', toString(userId)))[0]; } if (!e18) { throw new RTMError(errorType.INVALID_PARAMETER, '未找到该 user'); } return number2Base64.getBooleanByIndex(e18.auth ?? '', index); } async updateUserAuth(userId, auth = []) { frequency60('client.user.updateUser', 20, 200); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } this.updateUser(userId, { auth: number2Base64.encode(auth) }); } async updateUserAuthByIndex(userId, index, auth = false) { frequency60('client.user.updateUser', 20, 200); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!is.range(index, 0, 63)) { throw new RTMError(errorType.INVALID_PARAMETER, 'index 范围非法'); } const userAuth = await this.getUserAuth(userId); if (!userAuth) { throw new RTMError(errorType.INVALID_PARAMETER, '未找到该 user'); } userAuth[index] = auth; this.updateUser(userId, { auth: number2Base64.encode(userAuth) }); } all() { return this.userData.toBRTMUsers(this.userData.all()); } get userData() { return this.room.userData; } } 