import Model from "../f2"; import * as config from "../../a"; import * as eventType from "./i"; import { post } from "../../../d/q"; import RTMError from "../../../v/w"; import { URL_REMARK_REQUEST } from "../../../a"; import * as errorType from "../../../v/z"; import { frequency60, limit } from "../../../g1"; import formatUserId from "../../../a1/b1"; import * as array from '@ohos/common/src/main/ets/util/array'; import * as object from '@ohos/common/src/main/ets/util/object'; import Throttling from '@ohos/common/src/main/ets/util/Throttling'; import inflatePoints, { inflateNumbers } from "../../../a1/v1"; import deflatePoints, { deflateNumbers } from "../../../a1/r1"; import camelCaseObject from '@ohos/common/src/main/ets/function/camelCaseObject'; import underScoreCaseObject from '@ohos/common/src/main/ets/function/underScoreCaseObject'; import isDef from '@ohos/common/src/main/ets/function/isDef'; function formatDecimal(value) { if (value < 0) { return parseFloat(('' + value).slice(0, 9)); } return parseFloat(('' + value).slice(0, 8)); } export default class DocumentModel extends Model { constructor() { super(); this.shapeLaserHandlerMap = new Map(); this.addMessageType('doc_all_res', (data) => { if (data.user_id !== this.room.store.get('user.id')) { let result = this.onDocAllRes(data); this.fire(eventType.DOC_ALL, { docList: result.docList }); this.fire(eventType.PAGE_CHANGED, { docId: result.docId, page: result.page, step: result.step }); } }); this.addMessageType('doc_add', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.DOC_ADDED, { fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')), doc: this.onDocAdd(data.doc) }); }, data); } }); this.addMessageType('doc_update', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.DOC_UPDATED, { fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')), docId: data.doc_id, extra: this.onDocUpdate(data) }); }, data); } }); this.addMessageType('doc_del', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { let w17 = this.onDocDelete(data.doc_id); if (w17) { this.fire(eventType.DOC_REMOVED, { fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')), docId: w17.id }); } }, data); } }); this.addMessageType('page_change', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.PAGE_CHANGED, this.onPageChange(data)); }, data); } }); this.addMessageType('page_add', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { if (data.page_id !== -1) { let result = this.room.docData.addPage(data.doc_id, data.page_id); if (result) { this.fire(eventType.PAGE_ADDED, object.extend({ fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')) }, result)); } } }, data); } }); this.addMessageType('page_del', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { let result = this.room.docData.deletePage(data.doc_id, data.page_id); if (result) { this.fire(eventType.PAGE_REMOVED, object.extend({ fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')) }, result)); } }, data); } }); this.addMessageType('shape_add', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.SHAPE_ADDED, this.onShapeAdd(data)); }, data); } }); this.addMessageType('shape_append', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.SHAPE_APPENDED, this.onShapeAppend(data)); }, data); } }); this.addMessageType('shape_update', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.SHAPE_UPDATED, this.onShapeUpdate(data)); }, data); } }); this.addMessageType('shape_del', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { this.fire(eventType.SHAPE_REMOVED, this.onShapeRemove(data)); }, data); } }); this.addMessageType('shape_laser', (data) => { if (data.user_id !== this.room.store.get('user.id')) { this.taskQueue.push(() => { let n17 = []; if (data.shape?.history) { n17 = inflatePoints({ points: data.shape.history, encodeType: 2 }); } data.shape.x = parseFloat(data.shape.x); data.shape.y = parseFloat(data.shape.y); const params = { fromId: formatUserId(data.signal_send_by?.number ?? data.user_id, this.room.store.get('useStringUserId')), laser: data.shape, history: n17, interval: data.interval }; if (data.doc_id) { params.docId = data.doc_id; } if (isDef(data.page)) { params.page = data.page; } this.fire(eventType.LASER_RECEIVED, params); }, data); } }); } createShapeLaserHandler(w16, x16) { const key = `${w16}_${x16}`; if (!this.shapeLaserHandlerMap.has(key)) { this.shapeLaserHandlerMap.set(key, { history: [], handler: new Throttling((shape, y16, z16) => { const key = `${y16}_${z16}`; shape.history = deflatePoints((this.shapeLaserHandlerMap?.get(key)?.history ?? [])); const params = { message_type: 'shape_laser_trigger', shape: object.extend(shape, { x: shape.x + '', y: shape.y + '' }), interval: config.INTERVAL_PAINTER_LASER_BROADCAST }; if (y16) { params.doc_id = y16; } if (isDef(z16)) { params.page = z16; } this.room.roomServer.send(params); if (this.shapeLaserHandlerMap.has(key)) { this.shapeLaserHandlerMap.delete(key); } }, config.INTERVAL_PAINTER_LASER_BROADCAST, false, this) }); } return this.shapeLaserHandlerMap.get(key); } onDocAdd(v16) { v16 = camelCaseObject(v16); this.room.docData.updatePageList(v16); this.room.docData.add(v16); return v16; } onDocUpdate(u16) { u16 = camelCaseObject(u16); if (u16.extra && u16.extra.scale != null) { u16.extra.scale = parseFloat(u16.extra.scale); } if (u16.extra && u16.extra.scrollLeft != null) { u16.extra.scrollLeft = parseFloat(u16.extra.scrollLeft); } if (u16.extra && u16.extra.scrollTop != null) { u16.extra.scrollTop = parseFloat(u16.extra.scrollTop); } this.room.docData.update(u16.docId, { extra: u16.extra }); return u16.extra; } onDocDelete(t16) { return this.room.docData.remove(t16); } onDocAllRes(data) { let i16 = data.doc_list || []; i16 = i16.map(s16 => camelCaseObject(s16)); array.each(i16, n16 => { const o16 = n16.pageInfo; let p16 = n16.pageInfo.pageIds; const q16 = this.room.docData.isWhiteboardDoc(n16.id); if (q16) { let r16 = this.room.docData.getWhiteboardImageConfig(); o16.url = r16.url ?? o16.url; o16.width = r16.width ?? o16.width; o16.height = r16.height ?? o16.height; if (!p16 || !p16.length) { p16 = [0]; n16.pageInfo.pageIds = p16; } n16.pageInfo.totalPages = p16.length; } if (n16.extra && n16.extra.scale != null) { n16.extra.scale = +n16.extra.scale; } if (n16.extra && n16.extra.scrollLeft != null) { n16.extra.scrollLeft = +n16.extra.scrollLeft; } if (n16.extra && n16.extra.scrollTop != null) { n16.extra.scrollTop = +n16.extra.scrollTop; } this.room.docData.updatePageList(n16); }); this.room.docData.clear(); this.room.docData.add(i16); let j16 = data.doc_id; let k16 = data.page; let step = data.step; const pageId = data.page_id; if (!this.room.docData.getDocumentById(j16)) { j16 = config.DOC_ID_OF_WHITEBOARD; k16 = 0; step = null; } if (this.room.docData.isWhiteboardDoc(j16) && pageId) { k16 = this.room.docData.getPageById(j16, pageId); } ; this.room.docData.update(j16, { extra: { page: k16, step: step } }); return { docList: i16, docId: j16, page: k16, step: step }; } onPageChange(message) { const h16 = { docId: message.doc_id, page: this.room.docData.isWhiteboardDoc(message.doc_id) ? this.room.docData.getPageById(message.doc_id, message.page_id) : message.page, fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')), step: message.step, ts: message.ts, event: null }; if (message.event) { h16.event = message.event; } this.room.docData.update(h16.docId, { extra: { page: h16.page, step: h16.step } }); return h16; } onShapeAdd(message) { let shape = message.shape; object.extend(shape, { points: inflatePoints(shape) }); if (shape.speeds) { shape.speeds = inflateNumbers(shape.speeds); } this.room.shapeData.add(message.doc_id, this.room.docData.getLocalPage(message.doc_id, message.page), shape); return { fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')), docId: message.doc_id, page: this.room.docData.getLocalPage(message.doc_id, message.page), shape: shape }; } onShapeAppend(message) { let shape = message.shape; object.extend(shape, { points: inflatePoints(shape) }); if (shape.speeds) { shape.speeds = inflateNumbers(shape.speeds); } this.room.shapeData.append(message.doc_id, this.room.docData.getLocalPage(message.doc_id, message.page), shape); return { fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')), docId: message.doc_id, page: this.room.docData.getLocalPage(message.doc_id, message.page), shape: shape }; } onShapeUpdate(message) { let d16 = message.shape_list; array.each(d16, shape => { shape.points = inflatePoints(shape); if (shape.speeds) { shape.speeds = inflateNumbers(shape.speeds); } }); let e16 = message.doc_id; let f16 = this.room.docData.getLocalPage(message.doc_id, message.page); this.room.shapeData.update(e16, f16, d16); return { fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')), docId: e16, page: f16, shapeList: d16 }; } onShapeRemove(message) { let z15 = (message.shape_id || ''); let a16 = message.doc_id; let b16 = this.room.docData.getLocalPage(message.doc_id, message.page); if (z15 === '') { this.room.shapeData.clear(a16, b16); } else { array.each(z15.split(','), id => { if (id) { this.room.shapeData.remove(a16, b16, id); } }); } return { fromId: formatUserId(message.signal_send_by?.number ?? message.user_id, this.room.store.get('useStringUserId')), docId: message.doc_id, page: this.room.docData.getLocalPage(message.doc_id, message.page), shapeId: z15 }; } async requestAllDocs() { frequency60('client.document.requestAllDocs'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } return this.room.roomServer.request({ message_type: 'doc_all_req' }).then((message) => { return this.onDocAllRes(message); }); } async addDoc(w15) { frequency60('client.document.addDoc'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } if (this.docData.getDocumentByNumber(w15.number)) { throw new RTMError(errorType.INVALID_OPERATION, '文档已经添加'); } const d = { ext: w15.ext, name: w15.name, number: w15.number, pptUrl: w15.pptUrl, pageInfo: w15.pageInfo, extra: { visible: 0 } }; return this.room.roomServer.request({ message_type: 'doc_add_trigger', doc: underScoreCaseObject(d) }).then((message) => { return this.onDocAdd(message.doc); }); } async updateDoc(data) { frequency60('client.document.updateDoc'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } const t15 = data.docId; if (data.extra && data.extra.scale != null) { data.extra.scale = data.extra.scale + ''; } if (data.extra && data.extra.scrollLeft != null) { data.extra.scrollLeft = data.extra.scrollLeft + ''; } if (data.extra && data.extra.scrollTop != null) { data.extra.scrollTop = data.extra.scrollTop + ''; } data = underScoreCaseObject(data); return this.room.roomServer.request({ message_type: 'doc_update_trigger', doc_id: t15, extra: data.extra }).then((message) => { this.taskQueue.remove((message) => { return message.message_type === 'doc_update' && message.doc_id === t15; }); return this.onDocUpdate(message); }); } async removeDoc(r15) { frequency60('client.document.removeDoc'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } return this.room.roomServer.request({ message_type: 'doc_del_trigger', doc_id: r15 }).then((message) => { return this.onDocDelete(message.doc_id); }); } async changePage(n15, o15, step = 0, event) { frequency60('client.document.changePage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } if (!n15) { n15 = this.room.pageData.getClientDocId(); } const message = { message_type: 'page_change_trigger', doc_id: n15, page: o15, step: step }; if (this.room.docData.isWhiteboardDoc(n15)) { message.page = 0; message.page_id = this.room.docData.getIdByPage(n15, o15); } else { message.page_id = this.room.docData.getIdByPage(this.room.docData.getWhiteboardDocId(), this.room.docData.getDocCurrentPage(this.room.docData.getWhiteboardDocId())); } if (event) { message.event = event; } return this.room.roomServer.request(message).then((message) => { this.taskQueue.remove((message) => { return message.message_type === 'page_change' && message.doc_id === n15; }); this.onPageChange(message); }); } async addPage() { limit('client.document.addPage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } return this.room.roomServer.request({ message_type: 'page_add_trigger', doc_id: config.DOC_ID_OF_WHITEBOARD }).then((message) => { if (message.page_id !== -1) { return this.room.docData.addPage(message.doc_id, message.page_id); } else { throw new RTMError(errorType.INVALID_OPERATION, '添加 page 失败'); } }); } async removePage(k15) { limit('client.document.removePage'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } const pageId = this.docData.getIdByPage(config.DOC_ID_OF_WHITEBOARD, k15); return this.room.roomServer.request({ message_type: 'page_del_trigger', doc_id: config.DOC_ID_OF_WHITEBOARD, page_id: pageId }).then((message) => { return this.room.docData.deletePage(message.doc_id, message.page_id); }); } async requestAllShapes(c15, d15) { frequency60('client.document.requestAllShapes'); if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } const e15 = this.room.shapeData.get(c15, d15); if (e15) { return e15; } return this.room.roomServer.request({ message_type: 'shape_all_req', doc_id: c15, page: this.room.docData.getServerPage(c15, d15), }).then((message) => { const g15 = (message.shape_list || []); const h15 = (message.shape_append_list || []); array.each(g15, shape => { shape.points = inflatePoints(shape); if (shape.speeds) { shape.speeds = inflateNumbers(shape.speeds); } }); if (!message.layer) { this.room.shapeData.setShapes(message.doc_id, this.room.docData.getLocalPage(message.doc_id, message.page), g15); } if (h15.length) { array.each(h15, shape => { shape.points = inflatePoints(shape); if (shape.speeds) { shape.speeds = inflateNumbers(shape.speeds); } if (!message.layer) { this.room.shapeData.append(message.doc_id, this.room.docData.getLocalPage(message.doc_id, message.page), shape); } }); } return this.room.shapeData.get(c15, d15) ?? g15; }); } async addShape(x14, y14, shape) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } const z14 = shape.points; const a15 = shape.speeds; shape.points = deflatePoints(shape); if (shape.speeds) { shape.speeds = deflateNumbers(shape.speeds); } const message = { message_type: 'shape_add_trigger', doc_id: x14, page: this.room.docData.getServerPage(x14, y14), shape: shape }; if (shape.doodleVersion == 1) { this.room.roomServer.send(message); shape.points = z14; if (a15) { shape.speeds = a15; } return Promise.resolve({ fromId: formatUserId(this.room.store.get('user.number'), this.room.store.get('useStringUserId')), docId: x14, page: y14, shape: shape }); } else { return this.room.roomServer.request(message).then((message) => { return this.onShapeAdd(message); }); } } async appendShape(t14, u14, shape) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } const v14 = this.room.store.get('user'); shape.points = deflatePoints(shape); if (shape.speeds) { shape.speeds = deflateNumbers(shape.speeds); } shape.userName = v14.name; shape.userNumber = v14.number; shape.userId = v14.id; return this.room.roomServer.request({ message_type: 'shape_append_trigger', doc_id: t14, page: this.room.docData.getServerPage(t14, u14), shape: shape }).then((message) => { return this.onShapeAppend(message); }); } async updateShapes(n14, o14, p14) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } array.each(p14, shape => { shape.points = deflatePoints(shape); if (shape.speeds) { shape.speeds = deflateNumbers(shape.speeds); } }); return this.room.roomServer.request({ message_type: 'shape_update_trigger', doc_id: n14, page: this.room.docData.getServerPage(n14, o14), shape_list: p14 }).then((message) => { this.taskQueue.remove((message) => { return message.message_type === 'shape_update' && message.doc_id === n14 && this.room.docData.getLocalPage(message.doc_id, message.page) === o14; }); return this.onShapeUpdate(message); }); } async removeShapes(j14, k14, l14) { if (!this.room) { throw new RTMError(errorType.INVALID_OPERATION, '未加入房间，请先执行 join'); } if (!this.room.ability.canUseDocument()) { throw new RTMError(errorType.INVALID_OPERATION, '没有开启文档功能'); } return this.room.roomServer.request({ message_type: 'shape_del_trigger', doc_id: j14, page: this.room.docData.getServerPage(j14, k14), shape_id: l14 ?? '' }).then((message) => { return this.onShapeRemove(message); }); } sendLaser(g14, h14, i14) { if (!this.room) { return; } if (!this.room.ability.canUseDocument()) { return; } const handler = this.createShapeLaserHandler(h14, i14); handler.history.push({ x: formatDecimal(g14.x), y: formatDecimal(g14.y) }); handler.handler.execute(g14, h14, i14); } async requestRemark(b14) { frequency60('client.document.requestRemark'); const c14 = this.docData.getDocumentById(b14); if (!c14) { throw new RTMError(errorType.INVALID_PARAMETER, `文档 ${b14} 不存在`); } return post(this.room.store.get('apiDomain') + URL_REMARK_REQUEST, { fid: c14.number, token: this.room.store.get('token'), room_id: this.room.store.get('class.id') }, this.room.store.get('privateDomain'), 'application/x-www-form-urlencoded').then((e14) => { if (e14.data?.list) { const result = {}; array.each(e14.data.list, (info) => { result[info.page] = info.remark; }); return result; } else { throw new RTMError(errorType.FETCH_ERROR, `备注请求失败`); } }); } setWhiteboardImageConfig(options) { this.whiteboardImageConfig = options; if (this.room) { this.room.docData.setWhiteboardImageConfig(options); } } setPageUrlFormat(a14) { this.pageUrlFormat = a14; if (this.room) { this.room.docData.setPageUrlFormat(a14); } } run(z13) { super.run(z13); if (this.whiteboardImageConfig) { z13.docData.setWhiteboardImageConfig(this.whiteboardImageConfig); } if (this.pageUrlFormat) { z13.docData.setPageUrlFormat(this.pageUrlFormat); } } get docData() { if (!this.room) { return null; } return this.room.docData; } get shapeData() { if (!this.room) { return null; } return this.room.shapeData; } } 