import Yox from "./x/d2"; import DocData from "./x/z1"; import * as config from "./a"; import PageData from "./x/a2"; import UserData from "./x/e2"; import ClassData from "./x/x1"; import ShapeData from "./x/c2"; import Ability from "./x/y"; import ServerData from "./x/b2"; import RTMError from "../v/w"; import * as eventType from "./i"; import * as constant from "../d/f"; import ChatServer from "./h2/i2"; import RoomServer from "./h2/j2"; import * as errorType from "../v/z"; import MasterServer from "./h2/k2"; import Emitter from '@ohos/common/src/main/ets/event/Emitter'; import getCurrentEndType from "../a1/s1"; import toNumber from '@ohos/common/src/main/ets/function/toNumber'; import toString from '@ohos/common/src/main/ets/function/toString'; import camelCaseObject from '@ohos/common/src/main/ets/function/camelCaseObject'; import { getApiDomain } from "../d/q"; import Sleep from '@ohos/common/src/main/ets/util/Sleep'; export default class Room { constructor(data) { if (!data.env) { data.env = constant.PRODUCTION; } data.userState = {}; const a20 = data.user; a20.type = toNumber(a20.type); a20.group = toNumber(a20.group, config.NONE_GROUP_ID); a20.number = toString(a20.number); a20.endType = getCurrentEndType(a20.endType); this.formatClass(data.class); if (!data.apiDomain) { data.apiDomain = getApiDomain(); } this.store = new Yox(data); this.ability = new Ability(this.store); this.serverData = new ServerData(this.store, data.ms, data.msProxies); this.classData = new ClassData(this.store); this.userData = new UserData(this.store); this.docData = new DocData(); this.pageData = new PageData(this.docData); this.shapeData = new ShapeData(this.docData); this.emitter = new Emitter(true, true); this.masterServer = new MasterServer(this.store, this.emitter, this.serverData.getMasterServerList()[0], this.serverData.getMasterServerList().slice(1)); this.roomServer = new RoomServer(this.store, this.emitter); this.chatServer = new ChatServer(this.store, this.emitter); this.isReconnecting = false; this.handleEvents(); } formatClass(z19) { z19.id = toString(z19.id); z19.hasMoreUser = true; } async join() { return new Promise(async (u19, v19) => { try { await this.masterServer.connect(); let server = await this.masterServer.login(); this.masterServer.destroy(); this.serverData.setActiveMasterServer(this.masterServer.getActiveServer()); this.serverData.addRoomServer(server.room_server, true); this.serverData.addChatServer(server.chat_server, true); this.serverData.setRoomProxyServerList(server.proxy_room_server_list); this.serverData.setChatProxyServerList(server.proxy_chat_server_list); this.roomServer.setServer(this.serverData.getRoomServerList()[0]); this.roomServer.setProxies(this.serverData.getRoomProxyServerList()); this.chatServer.setServer(this.serverData.getChatServerList()[0]); this.chatServer.setProxies(this.serverData.getChatProxyServerList()); await Promise.all([ this.roomServer.connect().then(async () => { return this.roomServer.login().then((status) => { if (status === eventType.ROOM_SERVER_LOGIN_SUCCESS) { return; } else { throw new RTMError(errorType.SIGNAL_SETUP_FAILED, status); } }); }) ]); this.chatServer.connect().then(() => { return this.chatServer.login(); }); this.isReconnecting = false; u19(); } catch (error) { this.masterServer.logout(); this.roomServer.logout(); this.chatServer.logout(); v19(error); } }); } async leave() { return new Promise((r19, s19) => { try { this.roomServer.logout(); this.chatServer.logout(); r19(); } catch (error) { s19(error); } }); } fire(type, data) { this.emitter.fire(type, Array.isArray(data) ? data : (data != null ? [data] : undefined)); } on(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this }); return this; } one(type, listener, options = {}) { this.emitter.on(type, { fn: listener, ctx: options.ctx ? options.ctx : this, max: 1 }); return this; } off(type, listener) { if (arguments.length > 1) { this.emitter.off(type, listener); } else { this.emitter.off(type); } return this; } computeAbilitiesCode(type, enable) { return this.ability.getAbilitiesCode(Ability.ABILITY_DOCUMENT, enable); } async searchRawUser(field, query) { return this.roomServer.request({ message_type: 'user_search_req', field: field, query: query }).then((message) => { const p19 = (camelCaseObject(message.result || [])); this.userData.add(p19); return p19; }); } async findUser(number) { let n19 = this.userData.findByNumber(number); if (!n19) { n19 = (await this.searchRawUser('number', number))[0]; } return n19; } async findUserById(userId) { let m19 = this.userData.find(userId); if (!m19) { m19 = (await this.searchRawUser('id', userId))[0]; } return m19; } async destroy() { await this.leave(); this.store = new Yox(); this.emitter.off(); this.serverData.destroy(); this.classData.destroy(); this.userData.destroy(); this.docData.destroy(); this.pageData.destroy(); this.shapeData.destroy(); this.masterServer.destroy(); this.roomServer.destroy(); this.chatServer.destroy(); } async reconnect() { if (this.isReconnecting) { return; } this.isReconnecting = true; let i19 = 0; let j19 = this; this.store.set('class.hasMoreUser', true); const k19 = async () => { if (j19.masterServer) { j19.masterServer.destroy(); } j19.masterServer = new MasterServer(j19.store, j19.emitter, j19.serverData.getMasterServerList()[0], j19.serverData.getMasterServerList().slice(1)); j19.roomServer.logout(); j19.chatServer.logout(); try { await j19.join(); this.docData.clear(); this.shapeData.clear(); this.userData.clear(); j19.fire(eventType.RTM_ROOM_RECONNECTED); } catch (error) { if (i19 < 3) { i19++; await new Sleep(3); k19(); } else { j19.fire(eventType.ROOM_SERVER_CONNECT_FAIL); } } }; k19(); } handleEvents() { this.on(eventType.CHAT_SERVER_OFFLINE, () => { this.reconnect(); }); this.on(eventType.ROOM_SERVER_OFFLINE, () => { this.reconnect(); }); } } 