import * as config from "../a"; import * as storage from "../../d/y1"; import * as array from '@ohos/common/src/main/ets/util/array'; import * as object from '@ohos/common/src/main/ets/util/object'; import toNumber from '@ohos/common/src/main/ets/function/toNumber'; export default class DocData { constructor(quality = config.DOC_QUALITY_LOW, l7 = config.DOC_FIT_VIEW) { this.whiteboardImageConfig = {}; this.scale = 1; this.raw = []; this.quality = quality; this.fit = toNumber(storage.get(storage.LOCAL_DOC_FIT), l7); this.pageUrlFormat = (prefix, n7, o7) => { return prefix ? `${prefix}_${n7 + 1}.png` : config.DEFAULT_IMAGE_URL_OF_DOC; }; } clear() { this.raw = []; } getDocumentById(i7) { let result; array.each(this.raw, (k7, index) => { if (i7 == k7.id) { result = k7; return false; } return true; }); return result; } getDocumentByNumber(number) { let result; array.each(this.raw, (h7, index) => { if (number == h7.number) { result = h7; return false; } return true; }); return result; } isWhiteboardDoc(f7) { return f7 === config.DOC_ID_OF_WHITEBOARD; } getWhiteboardDocId() { return config.DOC_ID_OF_WHITEBOARD; } isAnimationDoc(e7) { return !!this.getDocumentById(e7)?.pptUrl; } isNormalDoc(d7) { return !this.isWhiteboardDoc(d7) && !this.getDocumentById(d7)?.pageInfo.isH5Doc; } isH5PPT(c7) { return this.getDocumentById(c7)?.pageInfo.isH5Doc; } add(data) { if (!data) { return; } if (!Array.isArray(data)) { data = [data]; } this.raw = this.raw.concat(data); } update(z6, data) { const a7 = this.getDocumentById(z6); if (a7) { object.each(data, (value, key) => { if (a7[key]) { a7[key] = (typeof a7[key] === 'object') ? object.extend(a7[key], value) : value; if (key === 'pageInfo') { this.updatePageList(a7); } } }); } } remove(v6) { let index = -1; array.each(this.raw, (x6, y6) => { if (x6.id === v6) { index = y6; } }); if (index >= 0) { return this.raw.splice(index, 1)[0]; } } updatePageList(q6) { if (typeof q6 === 'string') { q6 = this.getDocumentById(q6); } if (typeof q6 === 'object') { if (Array.isArray(q6.pageList)) { q6.pageList.length = 0; } else { q6.pageList = []; } const r6 = q6.pageInfo; const s6 = r6.isDoc; const t6 = r6.pageIds; const u6 = this.isWhiteboardDoc(q6.id) && Array.isArray(t6); for (let index = 0; index < r6.totalPages; index++) { const data = { width: +r6.width, height: +r6.height, url: r6.url }; if (s6) { data.url = this.pageUrlFormat(r6.urlPrefix, index, q6); } if (u6) { data.pageId = t6[index]; } q6.pageList.push(data); } return q6.pageList; } } getQuality() { return this.quality; } setQuality(quality) { this.quality = quality; } getFit() { return this.fit; } setFit(p6) { this.fit = p6; storage.set(storage.LOCAL_DOC_FIT, p6); } getWhiteboardDocCount() { return this.isWhiteboardDoc(this.raw[0] && this.raw[0].id) ? 1 : 0; } all() { return this.raw.slice(); } getWhiteboardList() { return this.raw.slice(0, this.getWhiteboardDocCount()); } getDocumentList() { return this.raw.slice(this.getWhiteboardDocCount()); } getPageInfoByDoc(n6, o6) { return this.getDocumentById(n6)?.pageList[o6]; } getRemarkInfoByDoc(l6, m6) { return this.getDocumentById(l6)?.remarkInfo[m6] ?? ''; } getPageById(h6, pageId) { const i6 = this.getDocumentById(h6); if (i6) { const j6 = i6.pageInfo.pageIds; if (Array.isArray(j6)) { const k6 = array.indexOf(j6, pageId); if (k6 > -1) { return k6; } } } return 0; } getIdByPage(e6, f6) { if (this.isWhiteboardDoc(e6)) { const g6 = this.getPageInfoByDoc(e6, f6); return g6 ? g6.pageId : 0; } else { return f6; } } getLocalPage(c6, d6) { if (this.isWhiteboardDoc(c6)) { return this.getPageById(c6, d6); } else { return d6; } } getServerPage(a6, b6) { if (this.isWhiteboardDoc(a6)) { return this.getIdByPage(a6, b6); } else { return b6; } } addPage(v5, pageId) { const w5 = this.getDocumentById(v5); const x5 = w5.pageInfo; const y5 = w5.pageList; y5.push({ width: x5.width, height: x5.height, url: x5.url, pageId: pageId }); let z5 = x5.pageIds; if (!z5) { z5 = []; } z5.push(pageId); x5.pageIds = z5; x5.totalPages = x5.totalPages + 1; return { docId: v5, pageId: pageId, page: this.getPageById(v5, pageId) }; } deletePage(q5, pageId) { const r5 = this.getDocumentById(q5); if (r5) { const s5 = r5.pageInfo; const t5 = r5.pageList; const u5 = this.getPageById(q5, pageId); if (s5.totalPages > 1 && u5 > -1) { t5.splice(u5, 1); if (s5.pageIds) { s5.pageIds.splice(u5, 1); } s5.totalPages = s5.totalPages - 1; return { docId: q5, pageId: pageId, page: u5, }; } } return; } setScale(value) { this.scale = value; } getScale() { return this.scale; } setWhiteboardImageConfig(options) { object.extend(this.whiteboardImageConfig, options); const p5 = this.getDocumentById(config.DOC_ID_OF_WHITEBOARD); if (p5) { if (this.whiteboardImageConfig.url) { p5.pageInfo.url = this.whiteboardImageConfig.url; } if (this.whiteboardImageConfig.width) { p5.pageInfo.width = this.whiteboardImageConfig.width; } if (this.whiteboardImageConfig.height) { p5.pageInfo.height = this.whiteboardImageConfig.height; } this.updatePageList(p5); } } getDocCurrentPage(n5) { const o5 = this.getDocumentById(n5); if (o5) { return o5.extra?.page ?? 0; } return 0; } getWhiteboardImageConfig() { return this.whiteboardImageConfig; } setPageUrlFormat(m5) { this.pageUrlFormat = m5; } destroy() { this.raw = []; this.whiteboardImageConfig = {}; } } 